For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI Reference
  • Data API
      • POSTUpload File
      • DELDelete File
      • GETGet File Scan Status
      • POSTUpload File
      • POSTGet Files Upload Status
LogoLogo
Login
Login
Data APIFiles

Get Files Upload Status

POST
/v2/vaults/:vaultID/files/uploadStatus
POST
/v2/vaults/:vaultID/files/uploadStatus
$curl -X POST https://{{vault_uri}}.vault.skyflowapis.com/v2/vaults/vaultID/files/uploadStatus \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "records": [
> {
> "tableName": "string",
> "skyflowID": "string",
> "fileFields": [
> "string"
> ]
> }
> ]
>}'
1{
2 "records": [
3 {
4 "fields": {
5 "skyflow_id": "2a62a1fd-0399-4338-bf05-e2877c6a7bd3",
6 "passport": {
7 "file_status": "UPLOADED",
8 "av_scan_status": "",
9 "mimetype_status": ""
10 }
11 },
12 "tableName": "onboarding"
13 }
14 ]
15}
Returns the upload and scan status for the specified file columns across multiple records.
Was this page helpful?
Previous
Built with

Authentication

AuthorizationBearer

Access token, prefixed by Bearer .

Path parameters

vaultIDstringRequired

Request

This endpoint expects an object.
recordslist of objectsRequired
Array of record objects corresponding to the specified files.

Response

OK
recordslist of objects
Array of record objects with file scan status for the specified files.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error